### Hierarchy

- StreamTransport

### Implements

- Transport

## Index

### Interfaces

- Options
- SentMessageInfo

### Type aliases

- MailOptions

### Constructors

- constructor

### Properties

- logger
- mailer
- name
- options
- version
- winbreak

### Methods

- send

## Type aliases

### Static MailOptions

MailOptions: Options

- Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:15

## Constructors

### constructor

- new StreamTransport(options: Options): StreamTransport

- - Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:44

  #### Parameters

  - ##### options: Options

  #### Returns StreamTransport

## Properties

### logger

logger: Logger

- Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:38

### mailer

mailer: Mail

Implementation of Transport.mailer

- Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:39

### name

name: string

Implementation of Transport.name

- Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:41

### options

options: Options

- Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:36

### version

version: string

Implementation of Transport.version

- Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:42

### winbreak

winbreak: boolean

- Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:44

## Methods

### send

- send(mail: MailMessage, callback: function): void

- - Defined in node_modules/@types/nodemailer/lib/stream-transport.d.ts:49

  Compiles a mailcomposer message and forwards it to handler that sends it

  #### Parameters

  - ##### mail: MailMessage

  - ##### callback: function

    - - (err: Error | null, info: SentMessageInfo): void

      - #### Parameters

        - ##### err: Error | null

        - ##### info: SentMessageInfo

        #### Returns void

Generated using TypeDoc